curl --request GET \
--url https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/authenticatedimport requests
url = "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/authenticated"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/authenticated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"AssetScore": "<string>",
"TotalNumberOfVulnerabilities": 123,
"NumberOfCriticalVulnerabilities": 123,
"NumberOfHighVulnerabilities": 123,
"NumberOfMediumVulnerabilities": 123,
"NumberOfLowVulnerabilities": 123,
"AssetName": "<string>",
"AgentName": "<string>",
"LastChecked": "<string>",
"LastScan": "<string>",
"Tags": "<string>",
"RootCauses": [
{
"RootCause": "<string>",
"FirstSeen": "2023-11-07T05:31:56Z",
"Exploitability": [
"<string>"
],
"HighestCVSS": 123,
"HighestEPSS": 123,
"TotalNumberOfVulnerabilities": 123,
"Patchable": true,
"Id": 123
}
],
"CVEs": [
{
"CveID": "<string>",
"CveTitle": "<string>",
"FirstSeen": "2023-11-07T05:31:56Z",
"Exploitability": [
"<string>"
],
"Severity": "<string>",
"CVSS": 123,
"EPSS": 123,
"ScanId": 123,
"Patchable": true
}
],
"OpenPorts": [
{
"OpenPort": "<string>",
"OpenPortName": "<string>",
"Protocol": "<string>",
"Severity": "<string>"
}
]
}
]Internal Authenticated scan details for an asset
Returns Internal Authenticated vulnerability details for a single asset based on asset id.
Use this endpoint when you already know the asset id and want detailed counts and list of root causes, CVEs and open ports for the asset.
Required headers:
Authorization: access_token {token}
Headers
Query Parameters
Asset Id of Internal Authenticated Vulnerability scan.
Response
OK
The asset score indicating the overall risk level of the asset.
Total number of vulnerabilities identified for this asset.
Number of critical vulnerabilities identified for this asset.
Number of high severity vulnerabilities identified for this asset.
Number of medium severity vulnerabilities identified for this asset.
Number of low severity vulnerabilities identified for this asset.
Name of the asset.
Name of the agent associated with this asset.
The date and time when the asset was last checked.
The date and time when the asset was last scanned.
Tags associated with the asset.
Root causes identified for vulnerabilities on this asset.
Show child attributes
Show child attributes
List of CVEs associated with this asset.
Show child attributes
Show child attributes
List of open ports identified on this asset.
Show child attributes
Show child attributes
